Package org.springframework.security.config.annotation.rsocket

# Class RSocketSecurity.AuthorizePayloadsSpec

java.lang.Object
org.springframework.security.config.annotation.rsocket.RSocketSecurity.AuthorizePayloadsSpec

Enclosing class:
  RSocketSecurity

public class RSocketSecurity.AuthorizePayloadsSpec extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`final class`
`RSocketSecurity.AuthorizePayloadsSpec.Access`

## Constructor Summary

Constructors
Constructor
Description
`AuthorizePayloadsSpec()`

## Method Summary

Modifier and Type
Method
Description
`RSocketSecurity.AuthorizePayloadsSpec.Access`
`anyExchange()`
Always matches
`RSocketSecurity.AuthorizePayloadsSpec.Access`
`anyRequest()`
Matches if `PayloadExchangeType.isRequest()` is true, else not a match
`protected org.springframework.security.rsocket.authorization.AuthorizationPayloadInterceptor`
`build()`
`RSocketSecurity.AuthorizePayloadsSpec.Access`
`matcher(org.springframework.security.rsocket.util.matcher.PayloadExchangeMatcher matcher)`
`RSocketSecurity.AuthorizePayloadsSpec.Access`
`route(String pattern)`
`RSocketSecurity.AuthorizePayloadsSpec.Access`
`setup()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthorizePayloadsSpec

public AuthorizePayloadsSpec()

## Method Details

### setup

public RSocketSecurity.AuthorizePayloadsSpec.Access setup()

### anyRequest

public RSocketSecurity.AuthorizePayloadsSpec.Access anyRequest()
Matches if `PayloadExchangeType.isRequest()` is true, else not a match

Returns:
  the Access to set up the authorization rule.

### anyExchange

public RSocketSecurity.AuthorizePayloadsSpec.Access anyExchange()
Always matches

Returns:
  the Access to set up the authorization rule.

### build

protected org.springframework.security.rsocket.authorization.AuthorizationPayloadInterceptor build()

### route

public RSocketSecurity.AuthorizePayloadsSpec.Access route(String pattern)

### matcher

public RSocketSecurity.AuthorizePayloadsSpec.Access matcher(org.springframework.security.rsocket.util.matcher.PayloadExchangeMatcher matcher)